Name:		ti68k-developer-utilities
Version:	1.40
Release:	1
Vendor:		LPG (http://lpg.ticalc.org)
Packager:	Kevin Kofler <Kevin@tigcc.ticalc.org>
Source:		http://tict.ticalc.org/downloads/tt140.tar.bz2
Patch0:		tt140-optflags.patch
Group:		Development/Tools
License:	LGPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:	tigcc-tools-suite < %{version}-%{release}
Provides:	tigcc-tools-suite = %{version}-%{release}
Summary: Collection of TIGCC-related tools by the TICT
%description
The TI-68k Developer Utilities are a collection of utilities by the TI-Chess
Team to support programmers who are using the TIGCC development environment for
TI-89, TI-89 Titanium, TI-92+ and Voyage 200.

This package only contains the computer-based utilities. A set of on-calc tools
is available as part of: http://tict.ticalc.org/downloads/tt140.tar.bz2

The ttdasm tool has been replaced by dasm-tigcc, which is packaged separately.

%prep
%setup -n tt
# copyright issues
rm -rf examples/tribute
%patch0 -p1 -b .optflags

%build
pushd src/pctools
export CFLAGS="$RPM_OPT_FLAGS"
./buildall
./builddocs
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -prf src/pctools/bin/* $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -prf examples history.txt readme.txt src/pctools/tooldocs.txt src/pctools/lgpl.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs
cp -prf docs/ebook-*.html docs/howto-use-exepack-technology*.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs/
cat >$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README.fedora <<EOF
The TI-68k Developer Utilities are a collection of utilities by the TI-Chess
Team to support programmers who are using the TIGCC development environment for
TI-89, TI-89 Titanium, TI-92+ and Voyage 200.

This package only contains the computer-based utilities. A set of on-calc tools
is available as part of: http://tict.ticalc.org/downloads/tt140.tar.bz2

The ttdasm tool has been replaced by dasm-tigcc, which is packaged separately.

The utilities shipped in this package are free software; you can redistribute
them and/or modify them under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of the License,
or (at your option) any later version. (Additional permissions may apply to
individual files.) This is indicated by upstream in source file comments and
supersedes the license quoted in readme.txt.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_bindir}/tt*
%{_docdir}/%{name}-%{version}

%changelog
* Tue Jan 12 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.40-1
- Rename to ti68k-developer-utilities (upstream renamed the software)
- License: LGPLv2+
- Don't ship on-calc stuff (licensing issues and doesn't need packaging anyway)
- Don't ship "tribute" example (copyright issues)
- Ship ttbin2str again, was fixed upstream
- Drop upstreamed tts14020060628-warnings.diff
- Rewrite the patch to use the RPM_OPT_FLAGS
- The ttdasm tool has been replaced by dasm-tigcc, which is packaged separately

* Tue Nov 07 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.40-0.2.20060628
- Apply warning fixes by Romain Liévin
- Fix Group tag

* Fri Jun 30 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.40-0.1.20060628
- Update to 1.40-20060628

* Wed Jun 28 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.31-1
- First Fedora RPM
